(.NET) The .NET 2.0 samples reference .NET 1.1 assemblies. Why?

The samples reference whatever assemblies are available in the system (i.e. no version information is specified in the references). If you install both .NET 1.1 and .NET 2.0 assemblies (this always happens in SecureBlackbox 5; in SecureBlackbox 6 this is specified during installation), the .NET runtime will find .NET 1.1 assemblies and will use them by default for unknown reason. This is NOT a problem - there are no differences in those assemblies, and when you deploy your project, deploy .NET 2.0 assemblies. Also in *your* project you can explicitly add .NET 2.0 assemblies to the reference list.

Ready to get started?

Learn more about SecureBlackbox or download a free trial.

Download Now